Kerbal Space Program - Bug #26977

Decoupling child craft from parent craft results in child disappearing and console errors
01/05/2021 03:31 PM - slavic

Status: New Start date: 01/05/2021
Severity: Low % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.11.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Core Game

Description

Building a vessel made of an engine, a Probodobodyne Okto (parent) coupled to a service bay and a Probodobodyne Stayputnik
(child) launch it into suborbital flight, decouple and switch to child vessel (_]_ key). Funny things will start to happen, like vertical
speed will be suddenly zero, although the craft is visibly moving, NaN error log will start popping up in console.

Log attached.

History

#1 - 01/05/2021 03:32 PM - slavic

Initially submitted as a forum thread here:
https://forum.kerbalspaceprogram.com/index.php?/topic/199326-decoupledundocked-satellite-disappears-or-is-moved-to-a-pole-and-falls/#comment-
3904026

#2 - 01/05/2021 04:07 PM - slavic

It looks like this is very much related to #26971 bug reported earlier, however that report only refers to EVA constructed vehicles and the Windows
version. It looks, however, that the regression is more severe and more general.

#3 - 01/08/2021 04:30 PM - just_jim

Can you attach either a craft file or saved game with the craft in question, please?

#4 - 01/08/2021 04:41 PM - slavic

You don't need a specific save/craft (although | can/will supply it later today) - just decouple any crewless craft (Probodobodyne controller) and switch
control to it.

#5 - 01/08/2021 07:30 PM - slavic
- File Luna 4.craft added

Attaching the original craft that experienced the issue, though, to be noted, this is not the minimal reproduceable example. The minimum is actually
any probe connected to another ship that gets decoupled.

#6 - 01/09/2021 01:53 PM - just_jim

Understood, and thank you. The problem is | cannot reproduce it here (so far) even using your craft. Not saying it didn't happen, clearly there is an
issue. But | need to figure out why, so first I'll pass this onto another member of the team that has a Linux and see if this is happening on Linux only
(it's happened before). Thank you for your patience

#7 - 01/09/2021 01:55 PM - slavic
Feel free to let me know if there's anything else | can help with/supply. Ready & willing to give a hand. | have downgraded to 1.10 a.t.m. just to be

able to continue to play the game, however, if you can give me a non-steam binary of 1.11 | can continue testing on Debian/Ubuntu distros.

#8 - 01/22/2021 08:05 AM - Anth12

This sounds very similar to #26971

#9 - 02/05/2021 08:10 AM - dog20aol

| am experiencing the same issue and can provide additional detail. | built a dual orbital probe and landing probe separately, then using load craft
with the merge option, | brought them both into the VAB. | re-rooted the added craft so that | could attach them together. When they are in orbit of
their destination, | attempt to use staging to seperate them and activate the engines. When | detach the added probe from the original vessel, it
appears to be exerting a force that pushes them together. The added craft shows the NAN in the console, and is unloaded when time warp is
activated. The original craft shows the orbit constantly changing with the other craft pushing on it, even though no engines are firing, there is no RCS
system, and no docking ports. If | destroy the FL-A5 at the bottom of the added craft (which is the same part | changed the root to when merging) the
craft seems to get free, and be able to finally be pushed away from the parent craft. It seems like the 'Ease to ground' is activating when separating
certain parts such as FL-A5 and SC-9001 through decoupling. The game physics considers these parts as "Under Acceleration" and the only way to
get past the erros are to revert to a previous save and not play the game. | have experienced this with 3 seperate crafts | have built.

Files
Player.log 2.49 MB 01/05/2021 slavic
Luna 4.craft 190 KB 01/08/2021 slavic
